System 4.0.0.0 System.Configuration.ConfigurationElement

The existing class has been extended to provide support for International Resource Identifiers (IRI) based on RFC 3987. Current users will not see any change from the .NET Framework 2.0 behavior unless they specifically enable IRI. This ensures application compatibility with prior versions of the .NET Framework.

The configuration setting for the is indirectly controlled by the configuration setting that controls IRI processing in the class. IRI processing must be enabled for IDN processing to be possible. If IRI processing is disabled, then IDN processing will be set to the default setting where the .NET Framework 2.0 behavior is used for compatibility and IDN names are not used.

The Internationalized Domain Name (IDN) attribute only controls IDN processing. All other IRI processing (character normalization, for example) is performed by default.

The configuration setting for the will be read once when the first class is constructed. Changes to configuration settings after that time are ignored.

For more information on IRI support, see the Remarks section for the class.

Provides the configuration setting for International Domain Name (IDN) processing in the class.

- Constructor
  4.0.0.0

  This constructor creates a instance

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("enabled", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.UriIdnScope To be added.

  The International Domain Name (IDN) attribute only controls IDN processing. All other International Resource Identifiers (IRI) processing (character normalization, for example) is performed by default.

  The configuration setting for the is indirectly controlled by the configuration setting that controls IRI processing in the class. IRI processing must be enabled for IDN processing to be possible. If IRI processing is disabled, then IDN processing will be set to the default setting where the .NET Framework 2.0 behavior is used for compatibility and IDN names are not used.

  The configuration setting for the will be read once when the first class is constructed. Changes to configuration settings after that time are ignored.

  For more information on IRI support, see the Remarks section for the class.

  Gets or sets the value of the configuration setting.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.